Unable to install scidb devel tools on ubuntu precise


#1

Hi All,

I have been trying to install the scidb devel tools on an AWS ubuntu precise scideb AIM for scidb for scidb 14.3 with the following command:

sudo apt-get install scidb-14.3-dev scidb-14.3-dev-tools scidb-14.3-libboost1.54-dev scidb-14.3-libmpich2-dev scidb-14.3-libboost1.54-all-dev[/list]

The following is an except from the output, with some of the error messages:

............... The following packages will be upgraded: libc-bin libc-dev-bin libc6 libc6-dev 4 upgraded, 52 newly installed, 0 to remove and 203 not upgraded. Need to get 216 MB of archives. After this operation, 976 MB of additional disk space will be used. Do you want to continue [Y/n]? y Err http://us-east-1.ec2.archive.ubuntu.com/ubuntu/ precise-updates/main libc6-dev amd64 2.15-0ubuntu10.5 404 Not Found [IP: 91.189.88.149 80] Err http://security.ubuntu.com/ubuntu/ precise-security/main libc6-dev amd64 2.15-0ubuntu10.5 404 Not Found [IP: 91.189.92.200 80] Err http://security.ubuntu.com/ubuntu/ precise-security/main libc-dev-bin amd64 2.15-0ubuntu10.5 404 Not Found [IP: 91.189.92.200 80] Err http://security.ubuntu.com/ubuntu/ precise-security/main libc-bin amd64 2.15-0ubuntu10.5 404 Not Found [IP: 91.189.92.200 80] Get:1 http://us-east-1.ec2.archive.ubuntu.com/ubuntu/ precise-updates/main gdb amd64 7.4-2012.04-0ubuntu2.1 [2,308 kB] Err http://security.ubuntu.com/ubuntu/ precise-security/main libc6 amd64 2.15-0ubuntu10.5 404 Not Found [IP: 91.189.92.200 80] Err http://security.ubuntu.com/ubuntu/ precise-security/main libc6-dbg amd64 2.15-0ubuntu10.5 404 Not Found [IP: 91.189.92.200 80] Err http://downloads.paradigm4.com/ ubuntu12.04/14.3/ scidb-14.3-libboost-iostreams1.54.0 1.54.0-2.1 Undetermined Error Err http://downloads.paradigm4.com/ ubuntu12.04/14.3/ scidb-14.3-libboost-atomic1.54.0 1.54.0-2.1 Undetermined Error Err http://downloads.paradigm4.com/ ubuntu12.04/14.3/ scidb-14.3-libboost-atomic1.54-dev 1.54.0-2.1 Undetermined Error ..................

I tried an update which also fails as follows:

[code]sudo apt-get update
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://security.ubuntu.com precise-security Release
Hit http://security.ubuntu.com precise-security/main Sources
Hit http://security.ubuntu.com precise-security/universe Sources
Hit http://security.ubuntu.com precise-security/main amd64 Packages
Hit http://security.ubuntu.com precise-security/universe amd64 Packages
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://us-east-1.ec2.archive.ubuntu.com precise Release.gpg
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates Release.gpg
Hit http://us-east-1.ec2.archive.ubuntu.com precise Release
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates Release
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main amd64 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe amd64 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main i386 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe i386 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main TranslationIndex
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe TranslationIndex
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main amd64 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe amd64 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main Translation-en
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe Translation-en
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main Translation-en
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe Translation-en
Ign http://downloads.paradigm4.com ubuntu12.04/14.3/ Release.gpg
Ign http://downloads.paradigm4.com ubuntu12.04/14.3/ Release
Ign http://downloads.paradigm4.com ubuntu12.04/14.3/ Sources/DiffIndex
Ign http://downloads.paradigm4.com ubuntu12.04/14.3/ Packages/DiffIndex
Ign http://downloads.paradigm4.com ubuntu12.04/14.3/ Translation-en_US
Ign http://downloads.paradigm4.com ubuntu12.04/14.3/ Translation-en
Err http://downloads.paradigm4.com ubuntu12.04/14.3/ Sources
Undetermined Error
Err http://downloads.paradigm4.com ubuntu12.04/14.3/ Packages
Undetermined Error
W: Failed to fetch http://downloads.paradigm4.com/ubuntu12.04/14.3/Sources Undetermined Error

W: Failed to fetch http://downloads.paradigm4.com/ubuntu12.04/14.3/Packages Undetermined Error

E: Some index files failed to download. They have been ignored, or old ones used instead.
[/code]

I check the connectivity to the various servers involved with ping and see not problem.

I am not sure what to try next or what I may be doing wrong.

Thank you for any help you can provide.


#2

Hi!

Those URLs recently changed from “http” to “https”.
Any particular reason why you’re not using the more recent 14.12 version?
We recently cut a pre-installed ami-ac99dbc4


#3

Thanks Alex.

I was using 14.3 since the orderbook example was originally built with this version. Since I have been able to build the example on 14.12, thanks to your help http://www.scidb.org/forum/viewtopic.php?f=11&t=1554&p=3685#p3685 I am not going to pursue this problem any further.

Thank you and best regards.